Skip to main content
POST
Update Folder
Use this API to:
  1. update metadata of a folder within an organization.
  2. move a folder and its contents to a different parent folder.
Prior to using this API, you must:
  • Enable advanced queries option in the console
  • Deploy v4 series of the Velt SDK.
Automatic Folder Move Handling: When moving a folder to a different parent by updating the parentFolderId, the API automatically updates the folder’s ancestors array and accessType, and propagates these changes to all subfolders within the moved folder.

Endpoint

POST https://api.velt.dev/v2/organizations/folders/update

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Request

Response

Success Response

Failure Response